# WOK
TKWOK
WOKTools

# WOKTools_Options Class Reference

`#include <WOKTools_Options_proto.hxx>`

## Public Member Functions

Standard_EXPORT | WOKTools_Options (const Standard_Integer argc, const WOKTools_ArgTable &argv, const Standard_CString opts, const WOKTools_PUsage usage, const Standard_CString excl=" ")
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Character | Option () const
Standard_EXPORT Handle_TCollection_HAsciiString | OptionArgument () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | OptionListArgument () const
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Define (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT Handle_WOKTools_HSequenceOfDefine | Defines () const
Standard_EXPORT void | AddPrefixToDefines (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Arguments () const
Standard_EXPORT Standard_Boolean | Failed () const
Standard_EXPORT | WOKTools_Options (const Standard_Integer argc, const WOKTools_ArgTable &argv, const Standard_CString opts, const WOKTools_PUsage usage, const Standard_CString excl=" ")
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Character | Option () const
Standard_EXPORT Handle_TCollection_HAsciiString | OptionArgument () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | OptionListArgument () const
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Define (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT Handle_WOKTools_HSequenceOfDefine | Defines () const
Standard_EXPORT void | AddPrefixToDefines (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Arguments () const
Standard_EXPORT Standard_Boolean | Failed () const

## Private Attributes

WOKTools_PUsage | myusage
Handle_TCollection_HAsciiString | myoptions
Handle_TCollection_HAsciiString | myexclopt
Standard_Character | myexclflg
Standard_Integer | myargc
WOKTools_ArgTable | myargv
Handle_WOKTools_HSequenceOfDefine | mydefines
Standard_Byte | mycuropt
Standard_Boolean | mymore
Handle_TCollection_HAsciiString | mycurarg
Handle_TColStd_HSequenceOfHAsciiString | mycurlistarg
Handle_TColStd_HSequenceOfHAsciiString | myargs
Standard_Boolean | myerrflg

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_Options::WOKTools_Options | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | const Standard_CString | opts,
|  | const WOKTools_PUsage | usage,
|  | const Standard_CString | excl = `" "`
| ) |

Standard_EXPORT WOKTools_Options::WOKTools_Options | ( | const Standard_Integer | argc,
|  | const WOKTools_ArgTable & | argv,
|  | const Standard_CString | opts,
|  | const WOKTools_PUsage | usage,
|  | const Standard_CString | excl = `" "`
| ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_Options::AddPrefixToDefines | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKTools_Options::AddPrefixToDefines | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::Arguments | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::Arguments | ( |  | ) | const

Standard_EXPORT void WOKTools_Options::Define | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

Standard_EXPORT void WOKTools_Options::Define | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

Standard_EXPORT Handle_WOKTools_HSequenceOfDefine WOKTools_Options::Defines | ( |  | ) | const

Standard_EXPORT Handle_WOKTools_HSequenceOfDefine WOKTools_Options::Defines | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKTools_Options::Failed | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKTools_Options::Failed | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKTools_Options::More | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKTools_Options::More | ( |  | ) | const

Standard_EXPORT void WOKTools_Options::Next | ( |  | ) |

Standard_EXPORT void WOKTools_Options::Next | ( |  | ) |

Standard_EXPORT Standard_Character WOKTools_Options::Option | ( |  | ) | const

Standard_EXPORT Standard_Character WOKTools_Options::Option | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_Options::OptionArgument | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_Options::OptionArgument | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::OptionListArgument | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::OptionListArgument | ( |  | ) | const

## Field Documentation

Standard_Integer WOKTools_Options::myargc `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::myargs `[private]`

WOKTools_ArgTable WOKTools_Options::myargv `[private]`

Handle_TCollection_HAsciiString WOKTools_Options::mycurarg `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKTools_Options::mycurlistarg `[private]`

Standard_Byte WOKTools_Options::mycuropt `[private]`

Handle_WOKTools_HSequenceOfDefine WOKTools_Options::mydefines `[private]`

Standard_Boolean WOKTools_Options::myerrflg `[private]`

Standard_Character WOKTools_Options::myexclflg `[private]`

Handle_TCollection_HAsciiString WOKTools_Options::myexclopt `[private]`

Standard_Boolean WOKTools_Options::mymore `[private]`

Handle_TCollection_HAsciiString WOKTools_Options::myoptions `[private]`

WOKTools_PUsage WOKTools_Options::myusage `[private]`

The documentation for this class was generated from the following files:

- WOKTools_Options.hxx
- WOKTools_Options_proto.hxx